Drone
=========

Docker based installation of Drone.io and Docker Drone Runner

Requirements
------------

Docker needs to be available on target machine.

Role Variables
--------------

| Variable                              | Description                                                     | Default                 |
| ------------------------------------- | --------------------------------------------------------------- | ----------------------- |
| `letsencrypt.staging`                 | Create staging certificate.                                     | true                    |
| `letsencrypt.email`                   | Email address to declare when creating certificate.             | ""                      |
| `drone_env.DRONE_GITEA_SERVER`        | Gitea server to connect to.                                     | https://git.example.com |
| `drone_env.DRONE_GITEA_CLIENT_ID`     | Client ID for gitea server                                      | no_valid_id             |
| `drone_env.DRONE_GITEA_CLIENT_SECRET` | Client secret used to conntect to gitea server                  | very_secret             |
| `drone_env.DRONE_RPC_SECRET`          | Secret for drone runners to use when connecting to drone server | even_more_secret        |


Example Playbook
----------------

    - hosts: drone
      roles:
         - { role: drone, tags: [drone] }

License
-------

MIT
